#define P3GLOBAL      /* allow global variable declarations to occur in
                         this file as original declarations (i.e. not
                         as "extern") */
#define P3TYPE        /* type modifier for all variables in this file that
                         will be generated by Phase3 e.g.
                             _far    force variables as far
	                     _near   force variables as near
                         Defining no value will cause variables to be
                         declared with no type modifier. */

#define P3MAINMODULE  /* use this to test for code attached to Main program
                         as opposed to modules linked to this program */

/*-------------------------*/
/* Non-Phase3 header files */
/*-------------------------*/
#include <windows.h>  /* required for all Windows applications */
#include <string.h>   /* Strings header file                   */
#include <stdlib.h>

#include <ctype.h>    /* needed by toupper in MainHotKey */

#include "acelerat.h" /* This file contains the accelerator codes */


/*----------------------------------------*/
/* Phase3 header files & global variables */
/*----------------------------------------*/
#ifdef __cplusplus
extern "C"
{
#endif
#ifdef P3RDBMS
#include "dbnprocs.h"  /* required by the Phase3 database DLL   */
#include "rpprocs.h"   /* required by Phase3 reports            */
#endif
#include "p3types.h"   /* required by Phase3 custom controls    */
#include "p3procs.h"   /* required by "P3_" DLL routines        */
#include "p3user.h"    /* Phase3 routines as source in P3User.C */
#ifdef __cplusplus
}
#endif


P3GLOBAL HANDLE hInst;    /* current instance of this app. */
P3GLOBAL int    nShowMain;        /* SW_ constant for showing main window  */
P3GLOBAL LPSTR  lpCommandLine;    /* command-line parameters for this app. */
extern char *LongWarningStr[10];  /* Declared in p3User.c                  */

/*---------------------------------------*/
/* Global #includes for this application */
/*---------------------------------------*/
#include "PRINTSCN.#h"     /* global declarations generated by Phase3          */
#include "PRINTSCN.#hl"    /* local declarations generated by Phase3           */
#include "PRINTSCN.dcl"    /* your global declarations                         */
#include "PRINTSCN.#pg"    /* prototypes generated by Phase3 for all processes
                            in the application that are flagged as "global"  */

/*-----------------------------------*/
/* Other Modules used by this module */
/*-----------------------------------*/
                         /* #include the file "XXX.#pg" for each module
                            "XXX" used by this file */

WORD FAR PASCAL PrintScreen( void );  /* establish the prototype */


/*--------------------------------*/
/* #includes local to this Module */
/*--------------------------------*/
#include "PRINTSCN.#pl"    /* prototypes generated by Phase3 for all processes
                            that are local to this file (i.e. not flagged
                            as "global") */
#include "PRINTSCN.#c"     /* code for all functions in this module generated
                            by Phase3 */
